#include<iostream>
using namespace std;
int main(){
	int n;
	int l;
	int us=0;
	cin>>n>>l;
	int vis[n];
	int indeks=-1;
	for(int i=0; i<n; i++){
		cin>>vis[i];
		if(vis[i]>l && us==0){
			us=1;
			indeks=i;
		}
	}
	cout<<indeks;
	return 0;
}